/** @format */
export declare const BusinessError: {
    ERROR_UPDATE_RETRY: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_ACTIVITY: {
        code: string;
        defaultMsg: string;
    };
    ERROR_ACTIVITY_NOSTART: {
        code: string;
        defaultMsg: string;
    };
    ERROR_ACTIVITY_OVER: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_USER: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NEEDMEMBER_DOHELP: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_VIP: {
        code: string;
        defaultMsg: string;
    };
    ERROR_TASK_ALREADYRECEIVE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_TASK_COMPLETE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_TASK_NORECEIVE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_INVALID_INVITE_ID: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_CREDITS: {
        code: string;
        defaultMsg: string;
    };
    ERROR_TASK_LIMIT: {
        code: string;
        defaultMsg: string;
    };
    ERROR_FORBIDDEN_OPE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_RECEIVE_PRIZE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_SEND_PRIZE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_PRIZE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_STOCK: {
        code: string;
        defaultMsg: string;
    };
    ERROR_PRIZE_EXPIRED: {
        code: string;
        defaultMsg: string;
    };
};
export declare const OPEN_PRIZE_STATUS: {
    WAIT_AWARD: number;
    PROCESSING: number;
    SUCCESS: number;
    FAIL: number;
};
export declare const DRAW_STATUS: {
    WAITAWARD: number;
    PROCESSING: number;
    SUCCESS: number;
    FAIL: number;
    EXPIRED: number;
    RETRY: number;
};
export declare const LOGGER_TYPE: {
    ERROR: number;
    INFO: number;
};
export declare const PRIZE_TYPE: {
    EQUITY: number;
    CREDITS: number;
    OBJECT: number;
    THANK: number;
};
export declare const CODE_TYPES: {
    PARAMS_ERROR: import("taobao-mini-sdk/lib/utils/codetypes").CodeType;
    SYSTEM_ERROR: import("taobao-mini-sdk/lib/utils/codetypes").CodeType;
    SUCCESS: import("taobao-mini-sdk/lib/utils/codetypes").CodeType;
} & {
    ERROR_UPDATE_RETRY: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_ACTIVITY: {
        code: string;
        defaultMsg: string;
    };
    ERROR_ACTIVITY_NOSTART: {
        code: string;
        defaultMsg: string;
    };
    ERROR_ACTIVITY_OVER: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_USER: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NEEDMEMBER_DOHELP: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_VIP: {
        code: string;
        defaultMsg: string;
    };
    ERROR_TASK_ALREADYRECEIVE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_TASK_COMPLETE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_TASK_NORECEIVE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_INVALID_INVITE_ID: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_CREDITS: {
        code: string;
        defaultMsg: string;
    };
    ERROR_TASK_LIMIT: {
        code: string;
        defaultMsg: string;
    };
    ERROR_FORBIDDEN_OPE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_RECEIVE_PRIZE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_SEND_PRIZE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_PRIZE: {
        code: string;
        defaultMsg: string;
    };
    ERROR_NO_STOCK: {
        code: string;
        defaultMsg: string;
    };
    ERROR_PRIZE_EXPIRED: {
        code: string;
        defaultMsg: string;
    };
};
export declare const errorCode: {
    '000000': string;
    '000001': string;
    '000002': string;
    '000003': string;
    '000004': string;
    '000005': string;
    '000006': string;
    '000007': string;
    '000008': string;
    '000010': string;
    '000011': string;
    '000012': string;
    '000013': string;
    '000014': string;
    '000015': string;
    '000016': string;
    '000017': string;
    '000020': string;
    '000021': string;
    '000022': string;
    '000023': string;
    '000024': string;
    '000025': string;
    '000026': string;
    '000027': string;
    '000030': string;
    '000031': string;
};
export declare const B_APP_NAME: string;
export declare const GOODSINFO = "detail_url,approve_status,num_iid,title,nick,type,cid,pic_url,num,props,valid_thru,list_time,price,has_discount,has_invoice,has_warranty,has_showcase,modified,delist_time,postage_id,seller_cids,outer_id,sold_quantity";
export declare const EIGHT_HOURS: number;
export declare const _48_HOURS: number;
export declare const DELETE_STATUS: {
    EXIST: number;
    DELETE: number;
};
export declare const TASK_TYPE_TEXT: {
    member: string;
    follow: string;
    sign: string;
    exchangeCredits: string;
    invites: string;
    orderGoods: string;
    browseGoods: string;
    jumpLink: string;
    collectGoods: string;
};
export declare const TASK_CHECK_TYPE: {
    value: {
        list: string[];
        reg: RegExp;
        regName: string;
    };
    times: {
        list: string[];
    };
    title: {
        list: string[];
    };
    itemIds: {
        list: string[];
    };
    taskRateType: {
        list: string[];
    };
    link: {
        list: string[];
    };
};
export declare const PASS_URL_LIST: string[];
export declare const APP_SUB_CODE: string;
export declare const TEMPLATE_INFO: {
    clients: string;
    template_id: number;
    template_version: string;
};
export declare const SHIP_STATUS: {
    NO_ADDRESS: number;
    NO_SHIP: number;
    HAS_SHIP: number;
};
